"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var request = require("request");
var logger_1 = require("./logger");
exports.default = (function (url, options) {
    if (options === void 0) { options = {}; }
    if (!url) {
        options.verbose && options.logger("heroku-self-ping: no url provided. Exiting.");
        return false;
    }
    options.interval = options.interval || 20 * 1000 * 60;
    logger_1.default.setLogger(options.logger || console.log);
    logger_1.default.setIsVerbose(options.verbose || false);
    var isHeroku = require('is-heroku');
    if (!isHeroku) {
        logger_1.default.verbose("heroku-self-ping: heroku not detected. Exiting.");
        return false;
    }
    logger_1.default.verbose("heroku-self-ping: Setting up heartbeat to " + url + " every " + options.interval + " ms.");
    return setInterval(function () {
        logger_1.default.log("heroku-self-ping: Sending heartbeat to " + url);
        request(url, function () { });
    }, options.interval);
});
//# sourceMappingURL=index.js.map